//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MainUnit.h"
#include "SettingUnit.h"
#include "Run/Func.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSettingForm *SettingForm;
//---------------------------------------------------------------------------
__fastcall TSettingForm::TSettingForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::FormShow(TObject *Sender)
{
        ComboBox_COM->ItemIndex=MainForm->m_SerialPort.COM_Idx;
        ComboBox_Baud->ItemIndex=MainForm->m_SerialPort.Baud_Idx;
        ComboBox_Data->ItemIndex=MainForm->m_SerialPort.Data_Idx;
        ComboBox_Parity->ItemIndex=MainForm->m_SerialPort.Parity_Idx;
        ComboBox_Stop->ItemIndex=MainForm->m_SerialPort.Stop_Idx;

        ComboBox_COM->Enabled=!MainForm->m_ConnectFlag;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::ComboBox_COMChange(TObject *Sender)
{
        MainForm->m_SerialPort.COM_Idx=ComboBox_COM->ItemIndex;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::ComboBox_BaudChange(TObject *Sender)
{
        MainForm->m_SerialPort.Baud_Idx=ComboBox_Baud->ItemIndex;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::ComboBox_DataChange(TObject *Sender)
{
        MainForm->m_SerialPort.Data_Idx=ComboBox_Data->ItemIndex;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::ComboBox_ParityChange(TObject *Sender)
{
        MainForm->m_SerialPort.Parity_Idx=ComboBox_Parity->ItemIndex;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::ComboBox_StopChange(TObject *Sender)
{
        MainForm->m_SerialPort.Stop_Idx=ComboBox_Stop->ItemIndex;
}
//---------------------------------------------------------------------------
void __fastcall TSettingForm::BitBtn_OKClick(TObject *Sender)
{
        if (!MainForm->m_ConnectFlag)
        {
               if (SetCOM(MainForm->m_SerialPort.COM_Idx))
               {
                        char tmpCom[8];
                        wsprintf(tmpCom,"COM%d",MainForm->m_SerialPort.COM_Idx+1);
                        MainForm->StatusBar_Main->Panels->Items[2]->Text=tmpCom;
               }
        }
        if (SetBaud(MainForm->m_SerialPort.Baud_Idx))
        {
                char tmpBaud[8];
                switch (MainForm->m_SerialPort.Baud_Idx)
                {
                case BAUDR_110:
                wsprintf(tmpBaud,"%d",110);
                break;
                case BAUDR_300:
                wsprintf(tmpBaud,"%d",300);
                break;
                case BAUDR_600:
                wsprintf(tmpBaud,"%d",600);
                break;
                case BAUDR_1200:
                wsprintf(tmpBaud,"%d",1200);
                break;
                case BAUDR_2400:
                wsprintf(tmpBaud,"%d",2400);
                break;
                case BAUDR_4800:
                wsprintf(tmpBaud,"%d",4800);
                break;
                case BAUDR_9600:
                wsprintf(tmpBaud,"%d",9600);
                break;
                case BAUDR_14400:
                wsprintf(tmpBaud,"%d",14400);
                break;
                case BAUDR_19200:
                wsprintf(tmpBaud,"%d",19200);
                break;
                case BAUDR_38400:
                wsprintf(tmpBaud,"%d",38400);
                break;
                case BAUDR_56000:
                wsprintf(tmpBaud,"%d",56000);
                break;
                case BAUDR_57600:
                wsprintf(tmpBaud,"%d",57600);
                break;
                case BAUDR_115200:
                wsprintf(tmpBaud,"%d",115200);
                break;
                default:;
                }
                MainForm->StatusBar_Main->Panels->Items[1]->Text=tmpBaud;
        }
        //SetDataBits(MainForm->m_SerialPort.Data_Idx);
        //SetParity(MainForm->m_SerialPort.Parity_Idx);
        //SetStopBits(MainForm->m_SerialPort.Stop_Idx);
}
//---------------------------------------------------------------------------

