//---------------------------------------------------------------------------

#include <vcl.h>
#include "AboutUnit.h"

#pragma hdrstop
USERES("CM801.res");
USEFORM("MainUnit.cpp", MainForm);
USELIB("Run\hymifare.lib");
USEFORM("SettingUnit.cpp", SettingForm);
USEUNIT("Public.cpp");
USEUNIT("RegisterUnit.cpp");
USEFORM("AboutUnit.cpp", AboutForm);
USEFORM("ProcessUnit.cpp", ProcessForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 AboutForm = new TAboutForm(Application);
                 AboutForm->BitBtn1->Visible=false;
                 AboutForm->Show();
                 AboutForm->Update();

                 Application->Initialize();
                 Application->Title = "HengYu CM802 Demo";
                 Application->CreateForm(__classid(TMainForm), &MainForm);
                 Application->CreateForm(__classid(TSettingForm), &SettingForm);
                 Application->CreateForm(__classid(TProcessForm), &ProcessForm);
                 AboutForm->BitBtn1->Visible=true;
                 AboutForm->Hide();
                 AboutForm->Close();

                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
