//---------------------------------------------------------------------------

#ifndef SettingUnitH
#define SettingUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TSettingForm : public TForm
{
__published:	// IDE-managed Components
        TBitBtn *BitBtn_OK;
        TBitBtn *BitBtn_Cancel;
        TBevel *Bevel_Client;
        TBevel *Bevel_Top;
        TPanel *Panel1;
        TLabel *Label1;
        TComboBox *ComboBox_COM;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TComboBox *ComboBox_Baud;
        TComboBox *ComboBox_Parity;
        TComboBox *ComboBox_Data;
        TComboBox *ComboBox_Stop;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall ComboBox_COMChange(TObject *Sender);
        void __fastcall ComboBox_BaudChange(TObject *Sender);
        void __fastcall ComboBox_DataChange(TObject *Sender);
        void __fastcall ComboBox_ParityChange(TObject *Sender);
        void __fastcall ComboBox_StopChange(TObject *Sender);
        void __fastcall BitBtn_OKClick(TObject *Sender);
private:	// User declarations
        int m_COM_Idx;
        int m_Baud_Idx;
        int m_Data_Idx;
        int m_Parity_Idx;
        int m_Stop_Idx;
public:		// User declarations
        __fastcall TSettingForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSettingForm *SettingForm;
//---------------------------------------------------------------------------
#endif
